Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • May 11 23:52
    codecov-commenter commented #113
  • May 11 23:51
    dependabot[bot] labeled #113
  • May 11 23:51
    dependabot[bot] opened #113
  • May 11 23:51

    dependabot[bot] on npm_and_yarn

    Bump lodash from 4.17.20 to 4.1… (compare)

  • Mar 09 23:42
    kaushik-work unassigned #108
  • Mar 09 23:42
    kaushik-work unassigned #107
  • Mar 09 23:42
    kaushik-work unassigned #106
  • Mar 09 23:42
    kaushik-work unassigned #104
  • Mar 09 23:42
    kaushik-work unassigned #101
  • Mar 09 23:42
    kaushik-work unassigned #100
  • Mar 09 23:42
    kaushik-work unassigned #99
  • Mar 09 23:42
    kaushik-work unassigned #98
  • Mar 09 23:42
    kaushik-work unassigned #97
  • Mar 09 23:42
    kaushik-work unassigned #96
  • Mar 09 23:42
    kaushik-work unassigned #94
  • Mar 09 23:42
    kaushik-work unassigned #93
  • Mar 09 23:42
    kaushik-work unassigned #91
  • Mar 09 23:42
    kaushik-work unassigned #90
  • Mar 09 23:42
    kaushik-work unassigned #87
  • Mar 09 23:42
    kaushik-work unassigned #88
Kaushik Ghose
@kaushik-work
@mr-c :smiley:
Kaushik Ghose
@kaushik-work
Thanks for the PR @stain!
Kaushik Ghose
@kaushik-work
Hi @pvanheus many thanks for creating the Conda Forge release. I noticed that the distribution has become a bit out of date. The robots seem to be doing their job: https://github.com/conda-forge/benten-feedstock/pulls . Can I help in any way to bridge the last step to getting it pushed to Conda Forge? Thanks!
pvanheus
@pvanheus
thanks for the ping @kaushik-work - I've merged the latest robot PR.
Kaushik Ghose
@kaushik-work
:confetti_ball:
Thanks @pvanheus ! I made a new release yesterday, but the robots apparently only saw it just now.
pvanheus
@pvanheus
ok merged that one too
Kaushik Ghose
@kaushik-work
@pvanheus thanks so much!
pvanheus
@pvanheus
@kaushik-work I'm trying to package benten 2020.06.03.1 but getting an error
$ benten-ls -h
Traceback (most recent call last):
  File "/home/pvh/anaconda3/envs/benten_dev/bin/benten-ls", line 6, in <module>
    from benten.__main__ import main
  File "/home/pvh/anaconda3/envs/benten_dev/lib/python3.8/site-packages/benten/__main__.py", line 7, in <module>
    from .configuration import Configuration
  File "/home/pvh/anaconda3/envs/benten_dev/lib/python3.8/site-packages/benten/configuration.py", line 8, in <module>
    from .cwl.specification import parse_schema
  File "/home/pvh/anaconda3/envs/benten_dev/lib/python3.8/site-packages/benten/cwl/specification.py", line 8, in <module>
    from .alltypes import *
  File "/home/pvh/anaconda3/envs/benten_dev/lib/python3.8/site-packages/benten/cwl/alltypes.py", line 12, in <module>
    from .expressiontype import CWLExpressionType
  File "/home/pvh/anaconda3/envs/benten_dev/lib/python3.8/site-packages/benten/cwl/expressiontype.py", line 6, in <module>
    import dukpy
  File "/home/pvh/anaconda3/envs/benten_dev/lib/python3.8/site-packages/dukpy/__init__.py", line 1, in <module>
    from .evaljs import evaljs, JSInterpreter
  File "/home/pvh/anaconda3/envs/benten_dev/lib/python3.8/site-packages/dukpy/evaljs.py", line 7, in <module>
    from . import _dukpy
ImportError: cannot import name '_dukpy' from partially initialized module 'dukpy' (most likely due to a circular import) (/home/pvh/anaconda3/envs/benten_dev/lib/python3.8/site-packages/dukpy/__init__.py)
this is only happening with a conda install, I'm looking into the source
Kaushik Ghose
@kaushik-work
@pvanheus sorry you are running into that. This is happening from inside dukpy. I wonder, if this has to do with the recent release?
I see dukpy has a June 9th release, and it's great there is active work on it, but I have the 0.2.2 (2018) release on my machine. The Travis CI tests pass, which means the PyPi release on Linux is fine, so perhaps there is an issue with the latest DukPy Conda release. Could you try pinning it to 0.2.2 and see what happens?
Kaushik Ghose
@kaushik-work
pvanheus
@pvanheus
I'm pretty certain I'm using dukpy 0.2.2
so if I install the dependencies (cwlformat, ruamel.yaml and dukpy) in a conda environment and run the pip install step for benten it works fine
pvanheus
@pvanheus
I think I'll turn to the conda-forge channel for help
pvanheus
@pvanheus
@kaushik-work I decided to try and build the existing (working) benten package locally and that failed... so I (correctly it turns out) concluded that the problem was on my side. 2020.06.03.1 is now in conda-forge :)
Kaushik Ghose
@kaushik-work
@pvanheus very cool! Thank you so much!
Michael R. Crusoe
@mr-c
@kaushik-work thank you for publishing on open-vsx! https://open-vsx.org/extension/sbg-rabix/benten-cwl
Though it looks like it has a newer version than the vscode marketplace? https://marketplace.visualstudio.com/items?itemName=sbg-rabix.benten-cwl
2020.6.3 vs 2020.7.29
And the GitHub repo has 2020.09.15 ..
Kaushik Ghose
@kaushik-work
Hello @mr-c thank you, I will check this. In general the VS Code extension itself can have a lower (older) version than the server because the extension doesn't change so much.
Michael R. Crusoe
@mr-c
:+1: